python安装模块时显示*.whl is not a supported wheel on this platform.解决方法

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/bluewn/article/details/79015528

找了一下午相关方法,包括强行改格式也都试了一遍,发现还是不行……

于是强行升级python版本(从2.7升级到3.6)……

然后,成功安装whl文件!(请忽略这个渣渣网速……)我觉得是升级python顺带升级了pip的关系!


如果还是不行的话,就只能试试强行改格式名了……

在shell中输入import pip; print(pip.pep425tags.get_supported())可以获取到pip支持的文件名还有版本


然后修改后缀试试~~

展开阅读全文

没有更多推荐了,返回首页